package ink.wgink.module.form.pojo.pos.design;

import java.io.Serializable;

public class FormPO implements Serializable {

    private static final long serialVersionUID = 3978011423074969950L;
    private Long id;
    private String formId;
    private String formCode;
    private String formName;
    private String formSummary;
    private String formType;
    private String formStatus;
    private String formSourceData;
    private String savePageCode;
    private String updatePageCode;
    private String showPageCode;
    private String printPageCode;
    private String appSavePageCode;
    private String appUpdatePageCode;
    private String appShowPageCode;
    private String formTableName;
    private Integer formVersion;
    private String mainTitleTpl;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public String getFormCode() {
        return formCode;
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public String getFormName() {
        return formName;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getFormSummary() {
        return formSummary;
    }

    public void setFormSummary(String formSummary) {
        this.formSummary = formSummary;
    }

    public String getFormType() {
        return formType;
    }

    public void setFormType(String formType) {
        this.formType = formType;
    }

    public String getFormStatus() {
        return formStatus;
    }

    public void setFormStatus(String formStatus) {
        this.formStatus = formStatus;
    }

    public String getFormSourceData() {
        return formSourceData;
    }

    public void setFormSourceData(String formSourceData) {
        this.formSourceData = formSourceData;
    }

    public String getSavePageCode() {
        return savePageCode == null ? "" : savePageCode.trim();
    }

    public void setSavePageCode(String savePageCode) {
        this.savePageCode = savePageCode;
    }

    public String getUpdatePageCode() {
        return updatePageCode == null ? "" : updatePageCode.trim();
    }

    public void setUpdatePageCode(String updatePageCode) {
        this.updatePageCode = updatePageCode;
    }

    public String getShowPageCode() {
        return showPageCode == null ? "" : showPageCode.trim();
    }

    public void setShowPageCode(String showPageCode) {
        this.showPageCode = showPageCode;
    }

    public String getPrintPageCode() {
        return printPageCode == null ? "" : printPageCode.trim();
    }

    public void setPrintPageCode(String printPageCode) {
        this.printPageCode = printPageCode;
    }

    public String getAppSavePageCode() {
        return appSavePageCode == null ? "" : appSavePageCode.trim();
    }

    public void setAppSavePageCode(String appSavePageCode) {
        this.appSavePageCode = appSavePageCode;
    }

    public String getAppUpdatePageCode() {
        return appUpdatePageCode == null ? "" : appUpdatePageCode.trim();
    }

    public void setAppUpdatePageCode(String appUpdatePageCode) {
        this.appUpdatePageCode = appUpdatePageCode;
    }

    public String getAppShowPageCode() {
        return appShowPageCode == null ? "" : appShowPageCode.trim();
    }

    public void setAppShowPageCode(String appShowPageCode) {
        this.appShowPageCode = appShowPageCode;
    }

    public String getFormTableName() {
        return formTableName;
    }

    public void setFormTableName(String formTableName) {
        this.formTableName = formTableName;
    }

    public Integer getFormVersion() {
        return formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getMainTitleTpl() {
        return mainTitleTpl == null ? "" : mainTitleTpl.trim();
    }

    public void setMainTitleTpl(String mainTitleTpl) {
        this.mainTitleTpl = mainTitleTpl;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
